## Analyze Certificate `client.ssl.analyze.create(AnalyzeCreateParamsparams, RequestOptionsoptions?): AnalyzeCreateResponse` **post** `/zones/{zone_id}/ssl/analyze` Returns the set of hostnames, the signature algorithm, and the expiration date of the certificate. ### Parameters - `params: AnalyzeCreateParams` - `zone_id: string` Path param: Identifier. - `bundle_method?: BundleMethod` Body param: A ubiquitous bundle has the highest probability of being verified everywhere, even by clients using outdated or unusual trust stores. An optimal bundle uses the shortest chain and newest intermediates. And the force bundle verifies the chain, but does not otherwise modify it. - `"ubiquitous"` - `"optimal"` - `"force"` - `certificate?: string` Body param: The zone's SSL certificate or certificate and the intermediate(s). ### Returns - `AnalyzeCreateResponse = unknown` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const analyze = await client.ssl.analyze.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353' }); console.log(analyze); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": {} } ```